Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax.gas
Class GASParser

    java.lang.Object
      avrora.syntax.AbstractParser
          avrora.syntax.gas.GASParser

All Implemented Interfaces:
  GASParserConstants

public class GASParser
extends AbstractParser
implements GASParserConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`protected Module` | `module`
`Token` | `token`
`GASParserTokenManager` | `token_source`

Fields inherited from interface avrora.syntax.gas.GASParserConstants
`ADC, ADD, ADIW, AND, ANDI, ARCH, ASR, BCLR, BIN_LITERAL, BLD, BRBC, BRBS, BRCC, BRCS, BREAK, BREQ, BRGE, BRHC, BRHS, BRID, BRIE, BRLO, BRLT, BRMI, BRNE, BRPL, BRSH, BRTC, BRTS, BRVC, BRVS, BSET, BST, BYTE, CALL, CBI, CBR, CHARACTER_LITERAL, CLC, CLH, CLI, CLN, CLR, CLS, CLT, CLV, CLZ, COM, CP, CPC, CPI, CPSE, DATA, DEC, DECIMAL_LITERAL, DEFAULT, DIGIT, EICALL, EIJMP, ELPM, EOF, EOR, EQU, FILE, FMUL, FMULS, FMULSU, FORMAL_COMMENT, GLOBAL, HEX_LITERAL, HI8, ICALL, IDENTIFIER, IJMP, IN, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INC, INCLUDE, INTEGER_LITERAL, JMP, LD, LDD, LDI, LDS, LETTER, LIST, LO8, LONG, LPM, LSL, LSR, MOV, MOVW, MUL, MULS, MULSU, MULTI_LINE_COMMENT, NEG, NOLIST, NOP, OCTAL_LITERAL, OR, ORG, ORI, OUT, POP, PUSH, RCALL, RET, RETI, RJMP, ROL, ROR, SBC, SBCI, SBI, SBIC, SBIS, SBIW, SBR, SBRC, SBRS, SEC, SEH, SEI, SEN, SER, SES, SET, SEV, SEZ, SINGLE_LINE_COMMENT, SIZE, SKIPS, SLEEP, SPACE, SPM, ST, STD, STRING_LITERAL, STS, SUB, SUBI, SWAP, TEXT, tokenImage, TST, TYPE, WDR, WORD`

Constructor Summary
`GASParser(GASParserTokenManager tm)`
`GASParser(java.io.InputStream stream)`
`GASParser(java.io.InputStream stream, Module m, java.lang.String fname)`
`GASParser(java.io.Reader stream)`
`GASParser(java.io.Reader stream, Module m, java.lang.String fname)`

Method Summary
`Expr` | `AddExpr()`
`Expr` | `AndExpr()`
`void` | `ArchDirective()`
`void` | `Assignment()`
`void` | `ByteDirective()`
`SyntacticOperand.Expr` | `Const()`
`Expr` | `Data()`
`void` | `DataDirective()`
`ExprList` | `DataList()`
`void` | `Directive()`
`void` | `disable_tracing()`
`void` | `DoubleWordDirective()`
`void` | `enable_tracing()`
`Expr` | `EqExpr()`
`void` | `EquDirective()`
`Expr` | `Expr()`
`void` | `FileDirective()`
`Expr` | `Func()`
`Token` | `FuncName()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `GlobalDirective()`
`void` | `IncludeDirective()`
`void` | `InstrBARE()`
`void` | `InstrGPR()`
`void` | `InstrGPRGPR()`
`void` | `InstrGPRIMM()`
`void` | `InstrIMM()`
`void` | `InstrIMMIMM()`
`void` | `InstrInput()`
`void` | `InstrLD_variant()`
`void` | `InstrLD()`
`void` | `InstrLDD()`
`void` | `InstrLDI()`
`void` | `InstrLDPD()`
`void` | `InstrLDPI()`
`void` | `InstrLDS()`
`void` | `InstrLoad()`
`void` | `InstrLPM_variant()`
`void` | `InstrLPMBARE()`
`void` | `InstrLPMGPRGPR()`
`void` | `InstrLPMGPRGPRP()`
`void` | `InstrOutput()`
`void` | `InstrST_variant()`
`void` | `InstrST()`
`void` | `InstrSTD()`
`void` | `InstrStore()`
`void` | `InstrSTPD()`
`void` | `InstrSTPI()`
`void` | `InstrSTS()`
`void` | `Instruction()`
`void` | `Label()`
`Expr` | `LandExpr()`
`void` | `ListDirective()`
`Expr` | `LorExpr()`
`void` | `Module()` The `Module()` method causes the parser to begin parsing the module.
`Expr` | `MulExpr()`
`void` | `NoListDirective()`
`Token` | `OpcodeGPR()`
`Token` | `OpcodeGPRGPR()`
`Token` | `OpcodeGPRIMM()`
`Token` | `OpcodeIMM()`
`Token` | `OpcodeIMMIMM()`
`Token` | `OpcodeLPM()`
`Expr` | `OrExpr()`
`void` | `OrgDirective()`
`SyntacticOperand.Register` | `Register()`
`void` | `ReInit(GASParserTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, Module m, java.lang.String fname)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(java.io.Reader stream, Module m, java.lang.String fname)`
`Expr` | `RelExpr()`
`void` | `ReserveDirective()`
`void` | `SegDirective()`
`Expr` | `ShiftExpr()`
`void` | `SizeDirective()`
`void` | `Statement()`
`Expr` | `Term()`
`void` | `TypeDirective()`
`Expr` | `UnaryExpr()`
`void` | `WordDirective()`
`Expr` | `XorExpr()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### module

    protected Module module

### token_source

    public GASParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### GASParser

    public GASParser(java.io.InputStream stream,
                     Module m,
                     java.lang.String fname)

### GASParser

    public GASParser(java.io.Reader stream,
                     Module m,
                     java.lang.String fname)

### GASParser

    public GASParser(java.io.InputStream stream)

### GASParser

    public GASParser(java.io.Reader stream)

### GASParser

    public GASParser(GASParserTokenManager tm)

Method Detail

### ReInit

    public void ReInit(java.io.InputStream stream,
                       Module m,
                       java.lang.String fname)

### ReInit

    public void ReInit(java.io.Reader stream,
                       Module m,
                       java.lang.String fname)

### Module

    public final void Module()
                      throws ParseException

  Description copied from class: `AbstractParser`
  The `Module()` method causes the parser to begin parsing the module.

  Specified by:
    `Module` in class `AbstractParser`
  Throws:
    `ParseException`

### Statement

    public final void Statement()
                         throws ParseException

  Throws:
    `ParseException`

### Directive

    public final void Directive()
                         throws ParseException

  Throws:
    `ParseException`

### Instruction

    public final void Instruction()
                           throws ParseException

  Throws:
    `ParseException`

### InstrGPRGPR

    public final void InstrGPRGPR()
                           throws ParseException

  Throws:
    `ParseException`

### OpcodeGPRGPR

    public final Token OpcodeGPRGPR()
                             throws ParseException

  Throws:
    `ParseException`

### InstrGPR

    public final void InstrGPR()
                        throws ParseException

  Throws:
    `ParseException`

### OpcodeGPR

    public final Token OpcodeGPR()
                          throws ParseException

  Throws:
    `ParseException`

### InstrGPRIMM

    public final void InstrGPRIMM()
                           throws ParseException

  Throws:
    `ParseException`

### OpcodeGPRIMM

    public final Token OpcodeGPRIMM()
                             throws ParseException

  Throws:
    `ParseException`

### InstrIMM

    public final void InstrIMM()
                        throws ParseException

  Throws:
    `ParseException`

### OpcodeIMM

    public final Token OpcodeIMM()
                          throws ParseException

  Throws:
    `ParseException`

### InstrIMMIMM

    public final void InstrIMMIMM()
                           throws ParseException

  Throws:
    `ParseException`

### OpcodeIMMIMM

    public final Token OpcodeIMMIMM()
                             throws ParseException

  Throws:
    `ParseException`

### InstrLoad

    public final void InstrLoad()
                         throws ParseException

  Throws:
    `ParseException`

### InstrLDI

    public final void InstrLDI()
                        throws ParseException

  Throws:
    `ParseException`

### InstrLD_variant

    public final void InstrLD_variant()
                               throws ParseException

  Throws:
    `ParseException`

### InstrLD

    public final void InstrLD()
                       throws ParseException

  Throws:
    `ParseException`

### InstrLDPI

    public final void InstrLDPI()
                         throws ParseException

  Throws:
    `ParseException`

### InstrLDPD

    public final void InstrLDPD()
                         throws ParseException

  Throws:
    `ParseException`

### InstrLDD

    public final void InstrLDD()
                        throws ParseException

  Throws:
    `ParseException`

### InstrLDS

    public final void InstrLDS()
                        throws ParseException

  Throws:
    `ParseException`

### InstrLPM_variant

    public final void InstrLPM_variant()
                                throws ParseException

  Throws:
    `ParseException`

### InstrLPMGPRGPR

    public final void InstrLPMGPRGPR()
                              throws ParseException

  Throws:
    `ParseException`

### InstrLPMGPRGPRP

    public final void InstrLPMGPRGPRP()
                               throws ParseException

  Throws:
    `ParseException`

### InstrLPMBARE

    public final void InstrLPMBARE()
                            throws ParseException

  Throws:
    `ParseException`

### OpcodeLPM

    public final Token OpcodeLPM()
                          throws ParseException

  Throws:
    `ParseException`

### InstrStore

    public final void InstrStore()
                          throws ParseException

  Throws:
    `ParseException`

### InstrST_variant

    public final void InstrST_variant()
                               throws ParseException

  Throws:
    `ParseException`

### InstrST

    public final void InstrST()
                       throws ParseException

  Throws:
    `ParseException`

### InstrSTPI

    public final void InstrSTPI()
                         throws ParseException

  Throws:
    `ParseException`

### InstrSTPD

    public final void InstrSTPD()
                         throws ParseException

  Throws:
    `ParseException`

### InstrSTD

    public final void InstrSTD()
                        throws ParseException

  Throws:
    `ParseException`

### InstrSTS

    public final void InstrSTS()
                        throws ParseException

  Throws:
    `ParseException`

### InstrBARE

    public final void InstrBARE()
                         throws ParseException

  Throws:
    `ParseException`

### InstrInput

    public final void InstrInput()
                          throws ParseException

  Throws:
    `ParseException`

### InstrOutput

    public final void InstrOutput()
                           throws ParseException

  Throws:
    `ParseException`

### Register

    public final SyntacticOperand.Register Register()
                                             throws ParseException

  Throws:
    `ParseException`

### Label

    public final void Label()
                     throws ParseException

  Throws:
    `ParseException`

### EquDirective

    public final void EquDirective()
                            throws ParseException

  Throws:
    `ParseException`

### Assignment

    public final void Assignment()
                          throws ParseException

  Throws:
    `ParseException`

### OrgDirective

    public final void OrgDirective()
                            throws ParseException

  Throws:
    `ParseException`

### ReserveDirective

    public final void ReserveDirective()
                                throws ParseException

  Throws:
    `ParseException`

### GlobalDirective

    public final void GlobalDirective()
                               throws ParseException

  Throws:
    `ParseException`

### TypeDirective

    public final void TypeDirective()
                             throws ParseException

  Throws:
    `ParseException`

### FileDirective

    public final void FileDirective()
                             throws ParseException

  Throws:
    `ParseException`

### ArchDirective

    public final void ArchDirective()
                             throws ParseException

  Throws:
    `ParseException`

### DataDirective

    public final void DataDirective()
                             throws ParseException

  Throws:
    `ParseException`

### ByteDirective

    public final void ByteDirective()
                             throws ParseException

  Throws:
    `ParseException`

### WordDirective

    public final void WordDirective()
                             throws ParseException

  Throws:
    `ParseException`

### DoubleWordDirective

    public final void DoubleWordDirective()
                                   throws ParseException

  Throws:
    `ParseException`

### IncludeDirective

    public final void IncludeDirective()
                                throws ParseException

  Throws:
    `ParseException`

### NoListDirective

    public final void NoListDirective()
                               throws ParseException

  Throws:
    `ParseException`

### ListDirective

    public final void ListDirective()
                             throws ParseException

  Throws:
    `ParseException`

### SizeDirective

    public final void SizeDirective()
                             throws ParseException

  Throws:
    `ParseException`

### SegDirective

    public final void SegDirective()
                            throws ParseException

  Throws:
    `ParseException`

### Const

    public final SyntacticOperand.Expr Const()
                                      throws ParseException

  Throws:
    `ParseException`

### DataList

    public final ExprList DataList()
                            throws ParseException

  Throws:
    `ParseException`

### Data

    public final Expr Data()
                    throws ParseException

  Throws:
    `ParseException`

### Expr

    public final Expr Expr()
                    throws ParseException

  Throws:
    `ParseException`

### LorExpr

    public final Expr LorExpr()
                       throws ParseException

  Throws:
    `ParseException`

### LandExpr

    public final Expr LandExpr()
                        throws ParseException

  Throws:
    `ParseException`

### OrExpr

    public final Expr OrExpr()
                      throws ParseException

  Throws:
    `ParseException`

### XorExpr

    public final Expr XorExpr()
                       throws ParseException

  Throws:
    `ParseException`

### AndExpr

    public final Expr AndExpr()
                       throws ParseException

  Throws:
    `ParseException`

### EqExpr

    public final Expr EqExpr()
                      throws ParseException

  Throws:
    `ParseException`

### RelExpr

    public final Expr RelExpr()
                       throws ParseException

  Throws:
    `ParseException`

### ShiftExpr

    public final Expr ShiftExpr()
                         throws ParseException

  Throws:
    `ParseException`

### AddExpr

    public final Expr AddExpr()
                       throws ParseException

  Throws:
    `ParseException`

### MulExpr

    public final Expr MulExpr()
                       throws ParseException

  Throws:
    `ParseException`

### UnaryExpr

    public final Expr UnaryExpr()
                         throws ParseException

  Throws:
    `ParseException`

### Term

    public final Expr Term()
                    throws ParseException

  Throws:
    `ParseException`

### Func

    public final Expr Func()
                    throws ParseException

  Throws:
    `ParseException`

### FuncName

    public final Token FuncName()
                         throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(GASParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD